<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>

        <IsPackable>false</IsPackable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Fare" Version="2.2.0" />
        <PackageReference Include="FluentAssertions" Version="6.6.0" />
        <PackageReference Include="AutoFixture.AutoMoq" Version="4.17.0" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.2.0" />
        <PackageReference Include="Microsoft.NETCore.Targets" Version="5.0.0" />
        <PackageReference Include="Moq" Version="4.18.0" />
        <PackageReference Include="NuGet.Frameworks" Version="6.2.0" />
        <PackageReference Include="NUnit" Version="3.13.3" />
        <PackageReference Include="NUnit3TestAdapter" Version="4.2.1" />
        <PackageReference Include="coverlet.collector" Version="3.1.2">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="System.ComponentModel.Annotations" Version="5.0.0" />
        <PackageReference Include="System.Configuration.ConfigurationManager" Version="6.0.0" />
        <PackageReference Include="System.Reflection.Metadata" Version="6.0.1" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Ecology.Flora.DAL.PostgreSQL\Ecology.Flora.DAL.PostgreSQL.csproj" />
        <ProjectReference Include="..\TestsHelpers\TestsHelpers.csproj" />
    </ItemGroup>

</Project>
